# Copyright (c) 2019, Xhiveframework and Contributors
# License: GNU General Public License v3. See license.txt


import xhiveframework

from xhiveerp.regional.united_arab_emirates.setup import make_custom_fields


def execute():
	company = xhiveframework.get_all(
		"Company", filters={"country": ["in", ["Saudi Arabia", "United Arab Emirates"]]}
	)
	if not company:
		return

	xhiveframework.reload_doc("accounts", "doctype", "pos_invoice")
	xhiveframework.reload_doc("accounts", "doctype", "pos_invoice_item")

	make_custom_fields()
